Removing override_dh_auto_test target since upstream fixed the problem.
[debian/lxappearance.git] / Makefile.in
CommitLineData
d93d56d2 1# Makefile.in generated by automake 1.14.1 from Makefile.am.
08024023
DB
2# @configure_input@
3
ae1f8f29
AG
4# Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
08024023
DB
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
08024023 16VPATH = @srcdir@
ae1f8f29
AG
17am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
18am__make_running_with_option = \
19 case $${target_option-} in \
20 ?) ;; \
21 *) echo "am__make_running_with_option: internal error: invalid" \
22 "target option '$${target_option-}' specified" >&2; \
23 exit 1;; \
24 esac; \
25 has_opt=no; \
26 sane_makeflags=$$MAKEFLAGS; \
27 if $(am__is_gnu_make); then \
28 sane_makeflags=$$MFLAGS; \
29 else \
30 case $$MAKEFLAGS in \
31 *\\[\ \ ]*) \
32 bs=\\; \
33 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
34 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
35 esac; \
36 fi; \
37 skip_next=no; \
38 strip_trailopt () \
39 { \
40 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
41 }; \
42 for flg in $$sane_makeflags; do \
43 test $$skip_next = yes && { skip_next=no; continue; }; \
44 case $$flg in \
45 *=*|--*) continue;; \
46 -*I) strip_trailopt 'I'; skip_next=yes;; \
47 -*I?*) strip_trailopt 'I';; \
48 -*O) strip_trailopt 'O'; skip_next=yes;; \
49 -*O?*) strip_trailopt 'O';; \
50 -*l) strip_trailopt 'l'; skip_next=yes;; \
51 -*l?*) strip_trailopt 'l';; \
52 -[dEDm]) skip_next=yes;; \
53 -[JT]) skip_next=yes;; \
54 esac; \
55 case $$flg in \
56 *$$target_option*) has_opt=yes; break;; \
57 esac; \
58 done; \
59 test $$has_opt = yes
60am__make_dryrun = (target_option=n; $(am__make_running_with_option))
61am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
08024023 62pkgdatadir = $(datadir)/@PACKAGE@
08024023 63pkgincludedir = $(includedir)/@PACKAGE@
eddc0c49
DB
64pkglibdir = $(libdir)/@PACKAGE@
65pkglibexecdir = $(libexecdir)/@PACKAGE@
08024023
DB
66am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
67install_sh_DATA = $(install_sh) -c -m 644
68install_sh_PROGRAM = $(install_sh) -c
69install_sh_SCRIPT = $(install_sh) -c
70INSTALL_HEADER = $(INSTALL_DATA)
71transform = $(program_transform_name)
72NORMAL_INSTALL = :
73PRE_INSTALL = :
74POST_INSTALL = :
75NORMAL_UNINSTALL = :
76PRE_UNINSTALL = :
77POST_UNINSTALL = :
08024023 78subdir = .
ae1f8f29
AG
79DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
80 $(top_srcdir)/configure $(am__configure_deps) \
81 $(srcdir)/config.h.in AUTHORS COPYING ChangeLog NEWS README \
d93d56d2 82 TODO compile install-sh missing
08024023 83ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
eddc0c49 84am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
1469f737 85 $(top_srcdir)/configure.ac
08024023
DB
86am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
87 $(ACLOCAL_M4)
88am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
89 configure.lineno config.status.lineno
eddc0c49 90mkinstalldirs = $(install_sh) -d
08024023
DB
91CONFIG_HEADER = config.h
92CONFIG_CLEAN_FILES =
eddc0c49 93CONFIG_CLEAN_VPATH_FILES =
ae1f8f29
AG
94AM_V_P = $(am__v_P_@AM_V@)
95am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
96am__v_P_0 = false
97am__v_P_1 = :
7f605299
DB
98AM_V_GEN = $(am__v_GEN_@AM_V@)
99am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
ae1f8f29
AG
100am__v_GEN_0 = @echo " GEN " $@;
101am__v_GEN_1 =
7f605299
DB
102AM_V_at = $(am__v_at_@AM_V@)
103am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
e7f9874d 104am__v_at_0 = @
ae1f8f29 105am__v_at_1 =
08024023
DB
106SOURCES =
107DIST_SOURCES =
ae1f8f29
AG
108RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
109 ctags-recursive dvi-recursive html-recursive info-recursive \
110 install-data-recursive install-dvi-recursive \
111 install-exec-recursive install-html-recursive \
112 install-info-recursive install-pdf-recursive \
113 install-ps-recursive install-recursive installcheck-recursive \
114 installdirs-recursive pdf-recursive ps-recursive \
115 tags-recursive uninstall-recursive
116am__can_run_installinfo = \
117 case $$AM_UPDATE_INFO_DIR in \
118 n|no|NO) false;; \
119 *) (install-info --version) >/dev/null 2>&1;; \
120 esac
08024023
DB
121RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
122 distclean-recursive maintainer-clean-recursive
ae1f8f29
AG
123am__recursive_targets = \
124 $(RECURSIVE_TARGETS) \
125 $(RECURSIVE_CLEAN_TARGETS) \
126 $(am__extra_recursive_targets)
127AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
128 cscope distdir dist dist-all distcheck
129am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
130 $(LISP)config.h.in
131# Read a list of newline-separated strings from the standard input,
132# and print each of them once, without duplicates. Input order is
133# *not* preserved.
134am__uniquify_input = $(AWK) '\
135 BEGIN { nonempty = 0; } \
136 { items[$$0] = 1; nonempty = 1; } \
137 END { if (nonempty) { for (i in items) print i; }; } \
138'
139# Make sure the list of sources is unique. This is necessary because,
140# e.g., the same source file might be shared among _SOURCES variables
141# for different programs/libraries.
142am__define_uniq_tagged_files = \
143 list='$(am__tagged_files)'; \
144 unique=`for i in $$list; do \
145 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
146 done | $(am__uniquify_input)`
08024023
DB
147ETAGS = etags
148CTAGS = ctags
ae1f8f29 149CSCOPE = cscope
08024023
DB
150DIST_SUBDIRS = $(SUBDIRS)
151DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
152distdir = $(PACKAGE)-$(VERSION)
153top_distdir = $(distdir)
154am__remove_distdir = \
7f605299
DB
155 if test -d "$(distdir)"; then \
156 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
157 && rm -rf "$(distdir)" \
158 || { sleep 5 && rm -rf "$(distdir)"; }; \
159 else :; fi
ae1f8f29 160am__post_remove_distdir = $(am__remove_distdir)
eddc0c49
DB
161am__relativize = \
162 dir0=`pwd`; \
163 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
164 sed_rest='s,^[^/]*/*,,'; \
165 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
166 sed_butlast='s,/*[^/]*$$,,'; \
167 while test -n "$$dir1"; do \
168 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
169 if test "$$first" != "."; then \
170 if test "$$first" = ".."; then \
171 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
172 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
173 else \
174 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
175 if test "$$first2" = "$$first"; then \
176 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
177 else \
178 dir2="../$$dir2"; \
179 fi; \
180 dir0="$$dir0"/"$$first"; \
181 fi; \
182 fi; \
183 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
184 done; \
185 reldir="$$dir2"
08024023 186GZIP_ENV = --best
f38be2ba
AG
187DIST_ARCHIVES = $(distdir).tar.xz
188DIST_TARGETS = dist-xz
08024023 189distuninstallcheck_listfiles = find . -type f -print
7f605299
DB
190am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
191 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
08024023
DB
192distcleancheck_listfiles = find . -type f -print
193ACLOCAL = @ACLOCAL@
e7f9874d 194ADDITIONAL_FLAGS = @ADDITIONAL_FLAGS@
8df2f63a 195ALL_LINGUAS = @ALL_LINGUAS@
08024023 196AMTAR = @AMTAR@
e7f9874d 197AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
08024023
DB
198AUTOCONF = @AUTOCONF@
199AUTOHEADER = @AUTOHEADER@
200AUTOMAKE = @AUTOMAKE@
201AWK = @AWK@
202CATALOGS = @CATALOGS@
203CATOBJEXT = @CATOBJEXT@
204CC = @CC@
205CCDEPMODE = @CCDEPMODE@
206CFLAGS = @CFLAGS@
207CPP = @CPP@
208CPPFLAGS = @CPPFLAGS@
209CYGPATH_W = @CYGPATH_W@
210DATADIRNAME = @DATADIRNAME@
7f605299
DB
211DBUS_CFLAGS = @DBUS_CFLAGS@
212DBUS_LIBS = @DBUS_LIBS@
08024023
DB
213DEFS = @DEFS@
214DEPDIR = @DEPDIR@
215ECHO_C = @ECHO_C@
216ECHO_N = @ECHO_N@
217ECHO_T = @ECHO_T@
218EGREP = @EGREP@
219EXEEXT = @EXEEXT@
220GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
1469f737
DB
221GMODULE_CFLAGS = @GMODULE_CFLAGS@
222GMODULE_LIBS = @GMODULE_LIBS@
08024023
DB
223GMOFILES = @GMOFILES@
224GMSGFMT = @GMSGFMT@
225GREP = @GREP@
1469f737
DB
226GTK_CFLAGS = @GTK_CFLAGS@
227GTK_LIBS = @GTK_LIBS@
08024023
DB
228INSTALL = @INSTALL@
229INSTALL_DATA = @INSTALL_DATA@
230INSTALL_PROGRAM = @INSTALL_PROGRAM@
231INSTALL_SCRIPT = @INSTALL_SCRIPT@
232INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
233INSTOBJEXT = @INSTOBJEXT@
234INTLLIBS = @INTLLIBS@
8df2f63a
DB
235INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
236INTLTOOL_MERGE = @INTLTOOL_MERGE@
237INTLTOOL_PERL = @INTLTOOL_PERL@
238INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
7f605299
DB
239INTLTOOL_V_MERGE = @INTLTOOL_V_MERGE@
240INTLTOOL_V_MERGE_OPTIONS = @INTLTOOL_V_MERGE_OPTIONS@
241INTLTOOL__v_MERGE_ = @INTLTOOL__v_MERGE_@
242INTLTOOL__v_MERGE_0 = @INTLTOOL__v_MERGE_0@
08024023
DB
243LDFLAGS = @LDFLAGS@
244LIBOBJS = @LIBOBJS@
245LIBS = @LIBS@
246LTLIBOBJS = @LTLIBOBJS@
08024023
DB
247MAKEINFO = @MAKEINFO@
248MKDIR_P = @MKDIR_P@
249MKINSTALLDIRS = @MKINSTALLDIRS@
250MSGFMT = @MSGFMT@
251MSGFMT_OPTS = @MSGFMT_OPTS@
8df2f63a 252MSGMERGE = @MSGMERGE@
08024023
DB
253OBJEXT = @OBJEXT@
254PACKAGE = @PACKAGE@
255PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
08024023
DB
256PACKAGE_NAME = @PACKAGE_NAME@
257PACKAGE_STRING = @PACKAGE_STRING@
258PACKAGE_TARNAME = @PACKAGE_TARNAME@
8df2f63a 259PACKAGE_URL = @PACKAGE_URL@
08024023
DB
260PACKAGE_VERSION = @PACKAGE_VERSION@
261PATH_SEPARATOR = @PATH_SEPARATOR@
262PKG_CONFIG = @PKG_CONFIG@
e7f9874d
DB
263PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
264PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
08024023
DB
265POFILES = @POFILES@
266POSUB = @POSUB@
267PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
268PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
269SET_MAKE = @SET_MAKE@
270SHELL = @SHELL@
271STRIP = @STRIP@
272USE_NLS = @USE_NLS@
273VERSION = @VERSION@
274XGETTEXT = @XGETTEXT@
1469f737
DB
275XLIB_CFLAGS = @XLIB_CFLAGS@
276XLIB_LIBS = @XLIB_LIBS@
e7f9874d
DB
277XMLCATALOG = @XMLCATALOG@
278XML_CATALOG_FILE = @XML_CATALOG_FILE@
279XSLTPROC = @XSLTPROC@
08024023
DB
280abs_builddir = @abs_builddir@
281abs_srcdir = @abs_srcdir@
282abs_top_builddir = @abs_top_builddir@
283abs_top_srcdir = @abs_top_srcdir@
284ac_ct_CC = @ac_ct_CC@
285am__include = @am__include@
286am__leading_dot = @am__leading_dot@
287am__quote = @am__quote@
288am__tar = @am__tar@
289am__untar = @am__untar@
290bindir = @bindir@
08024023 291build_alias = @build_alias@
08024023
DB
292builddir = @builddir@
293datadir = @datadir@
294datarootdir = @datarootdir@
295docdir = @docdir@
296dvidir = @dvidir@
297exec_prefix = @exec_prefix@
08024023 298host_alias = @host_alias@
08024023
DB
299htmldir = @htmldir@
300includedir = @includedir@
301infodir = @infodir@
302install_sh = @install_sh@
7f605299
DB
303intltool__v_merge_options_ = @intltool__v_merge_options_@
304intltool__v_merge_options_0 = @intltool__v_merge_options_0@
08024023
DB
305libdir = @libdir@
306libexecdir = @libexecdir@
307localedir = @localedir@
308localstatedir = @localstatedir@
309mandir = @mandir@
310mkdir_p = @mkdir_p@
311oldincludedir = @oldincludedir@
312pdfdir = @pdfdir@
313prefix = @prefix@
314program_transform_name = @program_transform_name@
315psdir = @psdir@
316sbindir = @sbindir@
317sharedstatedir = @sharedstatedir@
318srcdir = @srcdir@
319sysconfdir = @sysconfdir@
320target_alias = @target_alias@
eddc0c49 321top_build_prefix = @top_build_prefix@
08024023
DB
322top_builddir = @top_builddir@
323top_srcdir = @top_srcdir@
d93d56d2 324ACLOCAL_AMFLAGS = -I .
c93a68c7 325NULL =
ae1f8f29
AG
326SUBDIRS = \
327 data \
328 man \
329 po \
330 src
331
08024023 332EXTRA_DIST = \
7f605299 333 $(desktop_DATA) \
c93a68c7 334 $(NULL)
08024023
DB
335
336all: config.h
337 $(MAKE) $(AM_MAKEFLAGS) all-recursive
338
339.SUFFIXES:
7f605299 340am--refresh: Makefile
08024023 341 @:
ae1f8f29 342$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
08024023
DB
343 @for dep in $?; do \
344 case '$(am__configure_deps)' in \
345 *$$dep*) \
1469f737
DB
346 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
347 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
08024023
DB
348 && exit 0; \
349 exit 1;; \
350 esac; \
351 done; \
1469f737 352 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
eddc0c49 353 $(am__cd) $(top_srcdir) && \
1469f737 354 $(AUTOMAKE) --foreign Makefile
08024023
DB
355.PRECIOUS: Makefile
356Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
357 @case '$?' in \
358 *config.status*) \
359 echo ' $(SHELL) ./config.status'; \
360 $(SHELL) ./config.status;; \
361 *) \
362 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
363 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
364 esac;
365
366$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
367 $(SHELL) ./config.status --recheck
368
ae1f8f29 369$(top_srcdir)/configure: $(am__configure_deps)
eddc0c49 370 $(am__cd) $(srcdir) && $(AUTOCONF)
ae1f8f29 371$(ACLOCAL_M4): $(am__aclocal_m4_deps)
eddc0c49
DB
372 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
373$(am__aclocal_m4_deps):
08024023
DB
374
375config.h: stamp-h1
ae1f8f29
AG
376 @test -f $@ || rm -f stamp-h1
377 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
08024023
DB
378
379stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
380 @rm -f stamp-h1
381 cd $(top_builddir) && $(SHELL) ./config.status config.h
ae1f8f29 382$(srcdir)/config.h.in: $(am__configure_deps)
eddc0c49 383 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
08024023
DB
384 rm -f stamp-h1
385 touch $@
386
387distclean-hdr:
388 -rm -f config.h stamp-h1
08024023
DB
389
390# This directory's subdirectories are mostly independent; you can cd
ae1f8f29
AG
391# into them and run 'make' without going through this Makefile.
392# To change the values of 'make' variables: instead of editing Makefiles,
393# (1) if the variable is set in 'config.status', edit 'config.status'
394# (which will cause the Makefiles to be regenerated when you run 'make');
395# (2) otherwise, pass the desired values on the 'make' command line.
396$(am__recursive_targets):
397 @fail=; \
398 if $(am__make_keepgoing); then \
399 failcom='fail=yes'; \
400 else \
401 failcom='exit 1'; \
402 fi; \
08024023
DB
403 dot_seen=no; \
404 target=`echo $@ | sed s/-recursive//`; \
ae1f8f29
AG
405 case "$@" in \
406 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
407 *) list='$(SUBDIRS)' ;; \
408 esac; \
409 for subdir in $$list; do \
08024023
DB
410 echo "Making $$target in $$subdir"; \
411 if test "$$subdir" = "."; then \
412 dot_seen=yes; \
413 local_target="$$target-am"; \
414 else \
415 local_target="$$target"; \
416 fi; \
eddc0c49 417 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
08024023
DB
418 || eval $$failcom; \
419 done; \
420 if test "$$dot_seen" = "no"; then \
421 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
422 fi; test -z "$$fail"
423
ae1f8f29
AG
424ID: $(am__tagged_files)
425 $(am__define_uniq_tagged_files); mkid -fID $$unique
426tags: tags-recursive
427TAGS: tags
08024023 428
ae1f8f29 429tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
eddc0c49 430 set x; \
08024023
DB
431 here=`pwd`; \
432 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
433 include_option=--etags-include; \
434 empty_fix=.; \
435 else \
436 include_option=--include; \
437 empty_fix=; \
438 fi; \
439 list='$(SUBDIRS)'; for subdir in $$list; do \
440 if test "$$subdir" = .; then :; else \
441 test ! -f $$subdir/TAGS || \
eddc0c49 442 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
08024023
DB
443 fi; \
444 done; \
ae1f8f29 445 $(am__define_uniq_tagged_files); \
eddc0c49
DB
446 shift; \
447 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
08024023 448 test -n "$$unique" || unique=$$empty_fix; \
eddc0c49
DB
449 if test $$# -gt 0; then \
450 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
451 "$$@" $$unique; \
452 else \
453 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
454 $$unique; \
455 fi; \
08024023 456 fi
ae1f8f29
AG
457ctags: ctags-recursive
458
459CTAGS: ctags
460ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
461 $(am__define_uniq_tagged_files); \
eddc0c49 462 test -z "$(CTAGS_ARGS)$$unique" \
08024023 463 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
eddc0c49 464 $$unique
08024023
DB
465
466GTAGS:
467 here=`$(am__cd) $(top_builddir) && pwd` \
eddc0c49
DB
468 && $(am__cd) $(top_srcdir) \
469 && gtags -i $(GTAGS_ARGS) "$$here"
ae1f8f29
AG
470cscope: cscope.files
471 test ! -s cscope.files \
472 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
473clean-cscope:
474 -rm -f cscope.files
475cscope.files: clean-cscope cscopelist
476cscopelist: cscopelist-recursive
477
478cscopelist-am: $(am__tagged_files)
479 list='$(am__tagged_files)'; \
480 case "$(srcdir)" in \
481 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
482 *) sdir=$(subdir)/$(srcdir) ;; \
483 esac; \
484 for i in $$list; do \
485 if test -f "$$i"; then \
486 echo "$(subdir)/$$i"; \
487 else \
488 echo "$$sdir/$$i"; \
489 fi; \
490 done >> $(top_builddir)/cscope.files
08024023
DB
491
492distclean-tags:
493 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
ae1f8f29 494 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
08024023
DB
495
496distdir: $(DISTFILES)
497 $(am__remove_distdir)
eddc0c49 498 test -d "$(distdir)" || mkdir "$(distdir)"
08024023
DB
499 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
500 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
501 list='$(DISTFILES)'; \
502 dist_files=`for file in $$list; do echo $$file; done | \
503 sed -e "s|^$$srcdirstrip/||;t" \
504 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
505 case $$dist_files in \
506 */*) $(MKDIR_P) `echo "$$dist_files" | \
507 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
508 sort -u` ;; \
509 esac; \
510 for file in $$dist_files; do \
511 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
512 if test -d $$d/$$file; then \
513 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
eddc0c49
DB
514 if test -d "$(distdir)/$$file"; then \
515 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
516 fi; \
08024023 517 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
eddc0c49
DB
518 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
519 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
08024023 520 fi; \
eddc0c49 521 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
08024023 522 else \
eddc0c49
DB
523 test -f "$(distdir)/$$file" \
524 || cp -p $$d/$$file "$(distdir)/$$file" \
08024023
DB
525 || exit 1; \
526 fi; \
527 done
eddc0c49 528 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
08024023 529 if test "$$subdir" = .; then :; else \
ae1f8f29
AG
530 $(am__make_dryrun) \
531 || test -d "$(distdir)/$$subdir" \
532 || $(MKDIR_P) "$(distdir)/$$subdir" \
533 || exit 1; \
eddc0c49
DB
534 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
535 $(am__relativize); \
536 new_distdir=$$reldir; \
537 dir1=$$subdir; dir2="$(top_distdir)"; \
538 $(am__relativize); \
539 new_top_distdir=$$reldir; \
540 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
541 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
542 ($(am__cd) $$subdir && \
08024023 543 $(MAKE) $(AM_MAKEFLAGS) \
eddc0c49
DB
544 top_distdir="$$new_top_distdir" \
545 distdir="$$new_distdir" \
08024023
DB
546 am__remove_distdir=: \
547 am__skip_length_check=: \
eddc0c49 548 am__skip_mode_fix=: \
08024023
DB
549 distdir) \
550 || exit 1; \
551 fi; \
552 done
eddc0c49 553 -test -n "$(am__skip_mode_fix)" \
1469f737
DB
554 || find "$(distdir)" -type d ! -perm -755 \
555 -exec chmod u+rwx,go+rx {} \; -o \
08024023
DB
556 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
557 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
558 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
eddc0c49 559 || chmod -R a+r "$(distdir)"
08024023
DB
560dist-gzip: distdir
561 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
ae1f8f29 562 $(am__post_remove_distdir)
08024023
DB
563
564dist-bzip2: distdir
7f605299 565 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
ae1f8f29 566 $(am__post_remove_distdir)
7f605299
DB
567
568dist-lzip: distdir
569 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
ae1f8f29 570 $(am__post_remove_distdir)
eddc0c49 571dist-xz: distdir
7f605299 572 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
ae1f8f29 573 $(am__post_remove_distdir)
eddc0c49 574
08024023 575dist-tarZ: distdir
ae1f8f29
AG
576 @echo WARNING: "Support for shar distribution archives is" \
577 "deprecated." >&2
578 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
08024023 579 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
ae1f8f29 580 $(am__post_remove_distdir)
08024023
DB
581
582dist-shar: distdir
ae1f8f29
AG
583 @echo WARNING: "Support for distribution archives compressed with" \
584 "legacy program 'compress' is deprecated." >&2
585 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
08024023 586 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
ae1f8f29 587 $(am__post_remove_distdir)
08024023
DB
588
589dist-zip: distdir
590 -rm -f $(distdir).zip
591 zip -rq $(distdir).zip $(distdir)
ae1f8f29 592 $(am__post_remove_distdir)
08024023 593
ae1f8f29
AG
594dist dist-all:
595 $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
596 $(am__post_remove_distdir)
08024023
DB
597
598# This target untars the dist file and tries a VPATH configuration. Then
599# it guarantees that the distribution is self-contained by making another
600# tarfile.
601distcheck: dist
602 case '$(DIST_ARCHIVES)' in \
603 *.tar.gz*) \
1469f737 604 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
08024023 605 *.tar.bz2*) \
1469f737 606 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
7f605299
DB
607 *.tar.lz*) \
608 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
eddc0c49
DB
609 *.tar.xz*) \
610 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
08024023
DB
611 *.tar.Z*) \
612 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
613 *.shar.gz*) \
1469f737 614 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
08024023
DB
615 *.zip*) \
616 unzip $(distdir).zip ;;\
617 esac
ae1f8f29
AG
618 chmod -R a-w $(distdir)
619 chmod u+w $(distdir)
620 mkdir $(distdir)/_build $(distdir)/_inst
08024023 621 chmod a-w $(distdir)
eddc0c49 622 test -d $(distdir)/_build || exit 0; \
08024023
DB
623 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
624 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
eddc0c49
DB
625 && am__cwd=`pwd` \
626 && $(am__cd) $(distdir)/_build \
d93d56d2 627 && ../configure \
7f605299 628 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
08024023 629 $(DISTCHECK_CONFIGURE_FLAGS) \
d93d56d2 630 --srcdir=.. --prefix="$$dc_install_base" \
08024023
DB
631 && $(MAKE) $(AM_MAKEFLAGS) \
632 && $(MAKE) $(AM_MAKEFLAGS) dvi \
633 && $(MAKE) $(AM_MAKEFLAGS) check \
634 && $(MAKE) $(AM_MAKEFLAGS) install \
635 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
636 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
637 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
638 distuninstallcheck \
639 && chmod -R a-w "$$dc_install_base" \
640 && ({ \
641 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
642 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
643 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
644 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
645 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
646 } || { rm -rf "$$dc_destdir"; exit 1; }) \
647 && rm -rf "$$dc_destdir" \
648 && $(MAKE) $(AM_MAKEFLAGS) dist \
649 && rm -rf $(DIST_ARCHIVES) \
eddc0c49
DB
650 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
651 && cd "$$am__cwd" \
652 || exit 1
ae1f8f29 653 $(am__post_remove_distdir)
08024023
DB
654 @(echo "$(distdir) archives ready for distribution: "; \
655 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
656 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
657distuninstallcheck:
7f605299
DB
658 @test -n '$(distuninstallcheck_dir)' || { \
659 echo 'ERROR: trying to run $@ with an empty' \
660 '$$(distuninstallcheck_dir)' >&2; \
661 exit 1; \
662 }; \
663 $(am__cd) '$(distuninstallcheck_dir)' || { \
664 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
665 exit 1; \
666 }; \
667 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
08024023
DB
668 || { echo "ERROR: files left after uninstall:" ; \
669 if test -n "$(DESTDIR)"; then \
670 echo " (check DESTDIR support)"; \
671 fi ; \
672 $(distuninstallcheck_listfiles) ; \
673 exit 1; } >&2
674distcleancheck: distclean
675 @if test '$(srcdir)' = . ; then \
676 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
677 exit 1 ; \
678 fi
679 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
680 || { echo "ERROR: files left in build directory after distclean:" ; \
681 $(distcleancheck_listfiles) ; \
682 exit 1; } >&2
683check-am: all-am
684check: check-recursive
1469f737 685all-am: Makefile config.h
08024023
DB
686installdirs: installdirs-recursive
687installdirs-am:
08024023
DB
688install: install-recursive
689install-exec: install-exec-recursive
690install-data: install-data-recursive
691uninstall: uninstall-recursive
692
693install-am: all-am
694 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
695
696installcheck: installcheck-recursive
697install-strip:
7f605299
DB
698 if test -z '$(STRIP)'; then \
699 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
700 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
701 install; \
702 else \
703 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
704 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
705 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
706 fi
08024023
DB
707mostlyclean-generic:
708
709clean-generic:
710
711distclean-generic:
712 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
eddc0c49 713 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
08024023
DB
714
715maintainer-clean-generic:
716 @echo "This command is intended for maintainers to use"
717 @echo "it deletes files that may require special tools to rebuild."
718clean: clean-recursive
719
d93d56d2 720clean-am: clean-generic mostlyclean-am
08024023
DB
721
722distclean: distclean-recursive
723 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
724 -rm -f Makefile
d93d56d2 725distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
08024023
DB
726
727dvi: dvi-recursive
728
729dvi-am:
730
731html: html-recursive
732
eddc0c49
DB
733html-am:
734
08024023
DB
735info: info-recursive
736
737info-am:
738
1469f737
DB
739install-data-am:
740
08024023
DB
741install-dvi: install-dvi-recursive
742
eddc0c49
DB
743install-dvi-am:
744
08024023
DB
745install-exec-am:
746
747install-html: install-html-recursive
748
eddc0c49
DB
749install-html-am:
750
08024023
DB
751install-info: install-info-recursive
752
eddc0c49
DB
753install-info-am:
754
08024023
DB
755install-man:
756
757install-pdf: install-pdf-recursive
758
eddc0c49
DB
759install-pdf-am:
760
08024023
DB
761install-ps: install-ps-recursive
762
eddc0c49
DB
763install-ps-am:
764
08024023
DB
765installcheck-am:
766
767maintainer-clean: maintainer-clean-recursive
768 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
769 -rm -rf $(top_srcdir)/autom4te.cache
770 -rm -f Makefile
771maintainer-clean-am: distclean-am maintainer-clean-generic
772
773mostlyclean: mostlyclean-recursive
774
d93d56d2 775mostlyclean-am: mostlyclean-generic
08024023
DB
776
777pdf: pdf-recursive
778
779pdf-am:
780
781ps: ps-recursive
782
783ps-am:
784
1469f737 785uninstall-am:
08024023 786
ae1f8f29
AG
787.MAKE: $(am__recursive_targets) all install-am install-strip
788
789.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
790 am--refresh check check-am clean clean-cscope clean-generic \
d93d56d2
AG
791 cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
792 dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
793 distcheck distclean distclean-generic distclean-hdr \
794 distclean-tags distcleancheck distdir distuninstallcheck dvi \
795 dvi-am html html-am info info-am install install-am \
796 install-data install-data-am install-dvi install-dvi-am \
797 install-exec install-exec-am install-html install-html-am \
798 install-info install-info-am install-man install-pdf \
799 install-pdf-am install-ps install-ps-am install-strip \
800 installcheck installcheck-am installdirs installdirs-am \
801 maintainer-clean maintainer-clean-generic mostlyclean \
802 mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
ae1f8f29 803 uninstall-am
1469f737 804
eddc0c49 805
08024023
DB
806# Tell versions [3.59,3.63) of GNU make to not export all variables.
807# Otherwise a system limit (for SysV at least) may be exceeded.
808.NOEXPORT: